[ooo-build-commit] Branch 'ooo-build-3-1-1' - bin/install-artwork
Thorsten Behrens
thorsten at kemper.freedesktop.org
Wed Sep 2 11:48:22 PDT 2009
bin/install-artwork | 16 ++++++++++------
1 file changed, 10 insertions(+), 6 deletions(-)
New commits:
commit 6f4951f499f3ac990060d40a5ab07fa9f612657a
Author: Thorsten Behrens <tbehrens at novell.com>
Date: Wed Sep 2 20:45:28 2009 +0200
Be posix-compatible in install-artwork
* bin/install-artwork: changed find cmd to use only commonly-
available options; made whole img copy sequence fail in all
cases now.
diff --git a/bin/install-artwork b/bin/install-artwork
index c82b265..d5ab3c5 100755
--- a/bin/install-artwork
+++ b/bin/install-artwork
@@ -61,12 +61,16 @@ if test -d $dest/default_images; then
# Copy extra ooo-build specific images into build. All files under default_images
# are copied into the build recursively.
- for img in `find $src/default_images -type f -printf "default_images/%P\n"`; do
- # TODO: maybe we should check if the file is really an image file ?
- imgdir=`dirname $img` || exit 1
- mkdir -p $dest/$imgdir || exit 1
- cp -f $src/$img $dest/$img || exit 1
- done
+ pushd $src && {
+ for img in `find default_images -type f`; do
+ test $? -eq 0 || exit 1
+ # TODO: maybe we should check if the file is really an image file ?
+ imgdir=`dirname $img` || exit 1
+ mkdir -p $dest/$imgdir || exit 1
+ cp -f $img $dest/$img || exit 1
+ done
+ }
+ popd
else
echo " skipping default_images"
fi
More information about the ooo-build-commit
mailing list